# Spec SimpleHolder
Simple copying wrapper without any additional state.

Extends | Holder
All Extended | Holder
Defined in | <seqan/basic.h>
Signature | `template <typename TValue> class Holder<TValue, Simple>;`

## Template Parameters

`TValue` | Type of the managed object.

## Interface Function Overview

### Interface Functions Inherited From Holder

- `assignValue`
- `clear`
- `create`
- `detach`
- `empty`
- `getValue`
- `moveValue`
- `setValue`
- `value`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Holder

- `GetValue`
- `Reference`
- `Spec`
- `Value`

## Detailed Description

### Remarks

This holder stores a copy of the value.

#### Dox Sources

    /*!
     * @class SimpleHolder
     *
     * @extends Holder
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Simple copying wrapper without any additional state.
     *
     * @signature template <typename TValue> class Holder<TValue, Simple>;
     *
     * @tparam TValue Type of the managed object.
     *
     * @section Remarks
     *
     * This holder stores a copy of the value.
     */